package cn.reghao.oss.store.api.iface;

import cn.reghao.oss.store.api.dto.ObjectChannel;
import cn.reghao.oss.store.api.dto.StoreInfo;
import cn.reghao.oss.store.api.dto.StoreProperties;

import java.util.List;

/**
 * @author reghao
 * @date 2023-08-01 14:51:50
 */
public interface StoreService {
    String getUploadToken(int userId, int channelId);
    void createChannel(int userId, ObjectChannel channel);
    void updateStoreProperties(StoreProperties storeProperties);
    StoreInfo getStoreInfo();
}
